# Interface ICleanUpFix

All Superinterfaces:
  `ICleanUpFixCore`

public interface ICleanUpFix extends ICleanUpFixCore
A clean up fix calculates a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit. Originally from org.eclipse.jdt.ui 3.5

Since:
  1.21

## Method Summary

Modifier and Type
Method
Description
`CompilationUnitChange`
`createChange(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

## Method Details

### createChange

CompilationUnitChange createChange(org.eclipse.core.runtime.IProgressMonitor progressMonitor) throws org.eclipse.core.runtime.CoreException
Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

Specified by:
  `createChange` in interface `ICleanUpFixCore`
Parameters:
  `progressMonitor` - the progress monitor or `null` if none
Returns:
  a compilation unit change change which should not be empty
Throws:
  `org.eclipse.core.runtime.CoreException` - if something went wrong while calculating the change